python-dune-gdt_pre-release:
  tags: [saas-linux-large-amd64]
  stage: build
  variables:
    MODULE: "dune-gdt"
    MAKE_DEPENDENCIES: "python-pip"
  before_script:
    - sudo pacman --needed --noconfirm --noprogressbar -Syuq >/dev/null 2>&1
    - sudo pacman --needed --noconfirm -S ${MAKE_DEPENDENCIES} >/dev/null 2>&1
  script:
    - python -m venv --system-site-packages ~/dune-env && ~/dune-env/bin/pip -v --log ~/python-${MODULE}_pre-release_"$(date -u +"%Y-%m-%d-%H-%M-%S" --date='5 hours ago')".log install ${MODULE} --pre >/dev/null 2>&1
    - ~/dune-env/bin/pip list && ~/dune-env/bin/pip show ${MODULE//-/.} && ~/dune-env/bin/python -c 'from importlib import import_module; from os import environ; import_module(environ["MODULE"].replace("-", "."));'
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/log
    - mv ~/python-${MODULE}*.log ${CI_PROJECT_DIR}/log
  artifacts:
    paths:
      - ${CI_PROJECT_DIR}/log

python-dune-xt_pre-release:
  tags: [saas-linux-large-amd64]
  stage: build
  variables:
    MODULE: "dune-xt"
    MAKE_DEPENDENCIES: "python-pip"
  before_script:
    - sudo pacman --needed --noconfirm --noprogressbar -Syuq >/dev/null 2>&1
    - sudo pacman --needed --noconfirm -S ${MAKE_DEPENDENCIES} >/dev/null 2>&1
  script:
    - python -m venv --system-site-packages ~/dune-env && ~/dune-env/bin/pip -v --log ~/python-${MODULE}_pre-release_"$(date -u +"%Y-%m-%d-%H-%M-%S" --date='5 hours ago')".log install ${MODULE} --pre >/dev/null 2>&1
    - ~/dune-env/bin/pip list && ~/dune-env/bin/pip show ${MODULE//-/.} && ~/dune-env/bin/python -c 'from importlib import import_module; from os import environ; import_module(environ["MODULE"].replace("-", "."));'
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/log
    - mv ~/python-${MODULE}*.log ${CI_PROJECT_DIR}/log
  artifacts:
    paths:
      - ${CI_PROJECT_DIR}/log

python-dune-gdt-tutorials_pre-release:
  tags: [saas-linux-large-amd64]
  stage: build
  variables:
    MODULE: "dune-gdt-tutorials"
    MAKE_DEPENDENCIES: "python-pip"
  before_script:
    - sudo pacman --needed --noconfirm --noprogressbar -Syuq >/dev/null 2>&1
    - sudo pacman --needed --noconfirm -S ${MAKE_DEPENDENCIES} >/dev/null 2>&1
  script:
    - python -m venv --system-site-packages ~/dune-env && ~/dune-env/bin/pip -v --log ~/python-${MODULE}_pre-release_"$(date -u +"%Y-%m-%d-%H-%M-%S" --date='5 hours ago')".log install ${MODULE} --pre >/dev/null 2>&1
    # - ~/dune-env/bin/pip list && ~/dune-env/bin/pip show ${MODULE//-/.} && ~/dune-env/bin/python -c 'from importlib import import_module; from os import environ; import_module(environ["MODULE"].replace("-", "."));'
  after_script:
    - mkdir -p ${CI_PROJECT_DIR}/log
    - mv ~/python-${MODULE}*.log ${CI_PROJECT_DIR}/log
  artifacts:
    paths:
      - ${CI_PROJECT_DIR}/log
